import { BaseItem } from './base-item';
export declare class EditItem extends BaseItem {
    private initialText;
    private isPassword;
    private contents;
    private label;
    private editField;
    constructor(id: string, title: string, initialText: string, isPassword?: boolean);
    getDOMNode(): HTMLElement;
    getContents(): string;
    private onChange;
    focus(): void;
}
